Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 144057

Summary: /usr/lib/libuser/libuser_krb5.so missing
Product: [Fedora] Fedora Reporter: Benedikt Weyer <benedikt.weyer>
Component: libuserAssignee: Miloslav Trmač <mitr>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-16 18:29:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 83365    
Bug Blocks:    
Attachments:
Description Flags
/etc/libuser.conf none

Description Benedikt Weyer 2005-01-04 07:25:42 UTC
Description of problem:
/usr/lib/libuser/libuser_krb5.so is missing; no operation on a
kerberos-kdc

Version-Release number of selected component (if applicable):
libuser-0.52.5-1

How reproducible:


Steps to Reproduce:
1. configurer libuser for operation on a kdc
2. do a luseradd
  
Actual results:
(process:3594): GModule-CRITICAL **: file gmodule.c: line 461
(g_module_close): assertion `module != NULL' failed
Fehler beim Initialisieren von libuser:
/usr/lib/libuser/libuser_krb5.so: Kann die Shared-Object-Datei nicht
öffnen: Datei oder Verzeichnis nicht gefunden.


Expected results:
addition of a new user

Additional info:

Comment 1 Benedikt Weyer 2005-01-04 07:26:40 UTC
Created attachment 109315 [details]
/etc/libuser.conf

Comment 2 Miloslav Trmač 2005-01-05 12:18:50 UTC
The krb5 module was never shipped in our packages; currently
it doesn't even compile.

I can't really promise that this will get fixed soon.

Patches are of course welcome :)

Comment 3 Matthew Miller 2006-07-10 23:44:20 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Miloslav Trmač 2006-08-16 18:29:22 UTC
As described in http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=83365,
the kadm5 library is internal to krb5 and isn't available to other programs.

This library is necessary for the libuser krb5 module; therefore the libuser
module can't be included in Fedora packages.